* [gentoo-commits] gentoo-x86 commit in media-libs/mesa: mesa-7.8.1.ebuild ChangeLog
@ 2010-05-17 19:37 Tomas Chvatal (scarabeus)
0 siblings, 0 replies; only message in thread
From: Tomas Chvatal (scarabeus) @ 2010-05-17 19:37 UTC (permalink / raw
To: gentoo-commits
scarabeus 10/05/17 19:37:20
Modified: mesa-7.8.1.ebuild ChangeLog
Log:
Add cross-compile fixes. Thx solar. (force due to not updated cvs tree)
(Portage version: 2.2_rc67/cvs/Linux x86_64, RepoMan options: --force)
Revision Changes Path
1.2 media-libs/mesa/mesa-7.8.1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild?r1=1.1&r2=1.2
Index: mesa-7.8.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- mesa-7.8.1.ebuild 6 Apr 2010 08:43:11 -0000 1.1
+++ mesa-7.8.1.ebuild 17 May 2010 19:37:19 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild,v 1.1 2010/04/06 08:43:11 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.8.1.ebuild,v 1.2 2010/05/17 19:37:19 scarabeus Exp $
EAPI=3
@@ -11,7 +11,7 @@
EXPERIMENTAL="true"
fi
-inherit autotools multilib flag-o-matic ${GIT_ECLASS} portability
+inherit autotools multilib flag-o-matic toolchain-funcs ${GIT_ECLASS} portability
OPENGL_DIR="xorg-x11"
@@ -104,6 +104,14 @@
[[ ${CHOST} == *-freebsd6.* ]] && \
sed -i -e "s/-DHAVE_POSIX_MEMALIGN//" configure.ac
+ # In order for mesa to complete it's build process we need to use a tool
+ # that it compiles. When we cross compile this clearly does not work
+ # so we require mesa to be built on the host system first. -solar
+ if tc-is-cross-compiler; then
+ sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl-compile#g" \
+ "${S}"/src/mesa/shader/slang/library/Makefile || die
+ fi
+
eautoreconf
}
@@ -169,6 +177,12 @@
src_install() {
emake DESTDIR="${D}" install || die "Installation failed"
+ # Save the glsl-compiler for later use
+ if ! tc-is-cross-compiler; then
+ dodir /usr/bin/
+ cp "${S}"/src/glsl/apps/compile "${D}"/usr/bin/glsl-compile \
+ || die "failed to copy the glsl compiler."
+ fi
# Remove redundant headers
# GLUT thing
rm -f "${D}"/usr/include/GL/glut*.h || die "Removing glut include failed."
1.271 media-libs/mesa/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?rev=1.271&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?rev=1.271&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?r1=1.270&r2=1.271
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v
retrieving revision 1.270
retrieving revision 1.271
diff -u -r1.270 -r1.271
--- ChangeLog 12 May 2010 18:21:43 -0000 1.270
+++ ChangeLog 17 May 2010 19:37:19 -0000 1.271
@@ -1,6 +1,9 @@
# ChangeLog for media-libs/mesa
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.270 2010/05/12 18:21:43 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.271 2010/05/17 19:37:19 scarabeus Exp $
+
+ 17 May 2010; Tomáš Chvátal <scarabeus@gentoo.org> mesa-7.8.1.ebuild:
+ Add cross-compile fixes. Thx solar.
12 May 2010; Brent Baude <ranger@gentoo.org> mesa-7.7.1.ebuild:
Marking mesa-7.7.1 ppc64 stable for bug 308521
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2010-05-17 19:37 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-05-17 19:37 [gentoo-commits] gentoo-x86 commit in media-libs/mesa: mesa-7.8.1.ebuild ChangeLog Tomas Chvatal (scarabeus)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox